%define name	Magellan
%define version	0.2
%define release	4mdk
%define kdename	magellan

Name:		%{kdename}
Release:	%{release}
Packager:	Daouda Lo<daouda@mandrakesoft.com>
License:	Magellan
Group:		Graphical desktop/KDE 
Summary:	Personal information manager
Version:	%{version}
Source:	        Magellan-0.2-2.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Provides:       %{kdename}
BuildRequires:	kdenetwork-devel

%description
Magellan is designed to be a standalone personal information manager
system.  Standalone means this release will not include the capability
of sharing information in a groupware-like fashion

It is built on top of KDE/QT libraries, and requires kdeinit to be
started first, if KDE is not already running.

Authors:
--------
    Teodor Mihai		(project leader, designer, coder)
    Laur Ivan			(coder, artist)
    Virgil Palanciuc		(coder)
    Alexandru Costandache	(name, logos)

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n Magellan

%build
./configure --prefix=%_prefix \
	    --disable-rpath \
	    --disable-debug
%make

%install
make prefix=$RPM_BUILD_ROOT%{_prefix} install

mkdir -p $RPM_BUILD_ROOT/%_menudir/

cat <<EOF > $RPM_BUILD_ROOT/usr/lib/menu/magellan
?package(magellan): needs=X11 \
section="Networking/Mail" \
title="Magellan" \
longtitle="Standalone Personal infromation Manager"\
command="/usr/bin/magellan" \
icon="mail_section.xpm"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_menus

%postun 
/sbin/ldconfig
%clean_menus

%files 
%defattr(-,root,root)
%_bindir/*
%_libdir/*.la
%_libdir/*.so*

%_datadir/apps/*.png
%_datadir/apps/*.in
%_datadir/apps/*.msg
%_datadir/apps/database/*.list
%_datadir/apps/xpm/browse/*.xpm
%_datadir/apps/xpm/ccenter/*.xpm
%_datadir/apps/xpm/ccenter/*.png
%_datadir/apps/xpm/composer/*.xpm
%_datadir/apps/xpm/dialogs/logo/*.png
%_datadir/apps/xpm/dialogs/vcard/*.xpm
%_datadir/apps/xpm/dnd/*.xpm
%_datadir/apps/xpm/general/*.xpm
%_datadir/apps/xpm/groups/*.xpm
%_datadir/apps/xpm/icons/*.xpm
%_datadir/apps/xpm/kde/*.png
%_datadir/apps/xpm/label/*.xpm
%_datadir/apps/xpm/listmenu/*.xpm
%_datadir/apps/xpm/listview/*.xpm
%_datadir/apps/xpm/menu/*.xpm
%_datadir/apps/xpm/mimetypes/application/*.xpm
%_datadir/apps/xpm/mimetypes/image/*.xpm  
%_datadir/apps/xpm/mimetypes/text/*.png
%_datadir/apps/xpm/new/*.xpm
%_datadir/apps/xpm/notes/*.xpm
%_datadir/apps/xpm/progress/*.xpm
%_datadir/apps/xpm/todo/*.xpm
%_datadir/apps/xpm/toolbars/*.xpm
%_datadir/apps/xpm/tree/*.xpm
%_datadir/apps/xpm/treemenu/*.xpm


%_iconsdir/hicolor/48x48/apps/magellan.png
%_iconsdir/hicolor/32x32/apps/magellan.png 
%_iconsdir/locolor/16x16/apps/magellan.png
%_iconsdir/locolor/32x32/apps/magellan.png 
%_menudir/*

%changelog 
* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-4mdk
- Rebuild with new kdelibs

* Mon Jul 23 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2-3mdk
- BuildRequires: kdenetwork-devel
- Use %%configure and %%make

* Tue Mar 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-2mdk
- Clean spec

* Wed Mar 14 2001 Daouda Lo <daouda@mandrakesoft.com> 0.2-1mdk
- first mandrake release .


